:root {
    --bg: rgba(255, 255, 255, 0.281);
    --text-color: black;
    --muted-color: rgb(68, 68, 68);

    --edge: white;
    --edge-highlight: white;
    --edge-end: var(--bg);
    --rounding: 40px;
    --content-pad: 20px;
    --container-border: none;
    --container-pad: 10px;
    --container-shadow: 0px 0px 10px 2px #00000033;
    --awesome-gradient: linear-gradient(330deg, #fe6ed1, #c794ff, #718bfd);
}

html {
    background-image: url('./img/materialdictionary186_114.jpg');
    background-size: cover;
    font-family:  "Segoe UI", Tahoma, Geneva, Verdana, sans-serif, Arial, Helvetica, sans-serif;
    color: var(--text-color);
}

body {
    cursor: url("./img/dscim.cur"), default;
}

a:not(:hover) {
    text-decoration: none;
}

#music-player {
    display: flex;
    align-items: center;
    width: 1000px;
    height: 40px;
    margin: auto;
    text-align: right;
    margin-top: 80px;
    margin-bottom: var(--content-pad);
    color: var(--muted-color);
    background-color: var(--bg);
    backdrop-filter: blur(10px);
    border: 1px solid var(--edge);
    box-shadow: var(--container-shadow);
    padding: 0 var(--content-pad) 0 var(--content-pad);
}

#music-player-play {
    display: flex;
    align-items: center;
    flex-flow: center;
    margin-left: 10px;
    width: 30px;
    height: 30px;
    cursor: pointer;
}

#music-player-play-icon {
    display: block;
    width: 20px;
    height: 20px;
    background-image: url('./img/icon/play-solid-full.svg');
}

#music-player-play-icon[playing=true] {
    background-image: url('./img/icon/pause-solid-full.svg');
}

#music-player-progress {
    display: block;
    flex-grow: 1;
    height: 2px;
    margin-bottom: -6px;
    background-color: rgba(128, 128, 128, 0.2);
}

#progress-bar {
    display: block;
    width: 0%;
    height: 5px;
    margin-top: -4px;
    background: var(--awesome-gradient);
}

#main-container {
    width: 1200px;
    background-color: var(--bg);
    backdrop-filter: blur(10px);
    margin: auto;
    border-radius: var(--rounding) 0px var(--rounding) 0px;
    border: 1px solid var(--edge);
    box-shadow: var(--container-shadow);
}

#site-header {
    display: flex;
    flex-direction: row;
    align-content: stretch;
    align-items: flex-start;
    background: linear-gradient(var(--edge-highlight), var(--edge-end));
    border-radius: var(--rounding) 0px 0px 0px;
    height: 70px;
    padding: var(--content-pad);
}

#profile-picture {
    border-radius: 20px;
    width: 80px;
}

#website-desc {
    flex-grow: 1;
    padding-left: var(--content-pad);
}

#website-title img {
    width: 390px;
}

#website-subtitle {
    font-style: italic;
    color: var(--muted-color);
    margin-left: 5px;
}

.social-strip {
    display: flex;
    margin-right: var(--container-pad);
}

.social-circle {
    display: block;
    margin-left: 20px;
    padding: 10px;
    background: linear-gradient(var(--edge-highlight), var(--edge-end));
    border: 1px solid var(--edge);
    border-radius: 50%;
}

.social-circle:hover {
    box-shadow: 0px 1px 5px rgba(0, 0, 0, 0.5);
}

.social-circle img {
    width: 40px;
}

#content-container {
    height: 600px;
    padding: var(--content-pad);
    display: flex;
    flex-direction: row;
    align-items: stretch;
    align-content: stretch;
}

#sidebar {
    display: flex;
    flex-direction: column;
    align-content: stretch;
    margin-right: 20px;
    padding: var(--container-pad);
    background-color: rgba(0, 0, 0, 0.06);
    border: 1px solid rgba(0, 0, 0, 0.1);
}

#sidebar a {
    display: flex;
    flex-direction: row;
    align-items: flex-end;
    width: 150px;
    padding: 4px;
    padding-left: 10px;
    border-radius: 10px 0px 10px 0px;
    background: linear-gradient(var(--edge-highlight), var(--edge-end));
    border: 1px solid var(--edge);
    margin-bottom: 8px;
    box-shadow: 0px 0px 6px 2px rgba(0, 0, 0, 0.075);
}

#sidebar a:hover {
    box-shadow: 0px 1px 5px rgba(0, 0, 0, 0.5);
}

.sidebar-link-img {
    display: block;
    width: 20px;
    height: 20px;
    background-size: cover;
    margin-right: 6px;
}

.sidebar-link-img[data-page-link='index'] { background-image: url('./img/icon/vista_messenger.ico') }
.sidebar-link-img[data-page-link='minecraft'] { background-image: url('./img/icon/minecraft2.ico') }
.sidebar-link-img[data-page-link='gbf'] { background-image: url('./img/icon/gbf_icon.png') }
.sidebar-link-img[data-page-link='dev'] { background-image: url('./img/icon/taskmgr.ico') }
.sidebar-link-img[data-page-link='gaming'] { background-image: url('./img/icon/vista_console.ico') }
.sidebar-link-img[data-page-link='music'] { background-image: url('./img/icon/itunes1.ico') }
.sidebar-link-img[data-page-link='other'] { background-image: url('./img/icon/explorer.ico') }

#sidebar a:is(.selected) {
    background: var(--awesome-gradient);
    color: white;
    font-weight: bold;
}

#sidebar-flex-grow {
    flex-grow: 1;
}

#sidebar-image-container {
    width: 0px;
    height: 200px;
    margin-left: -130px;
}

#sidebar-image {
    display: block;
    width: 220px;
    height: 220px;
    background-image: url('./img/insects_26.png');
    background-size: cover;
    background-position: center;
}

#site-footer {
    display: flex;
    flex-direction: row;
    align-content: stretch;
    align-items: flex-start;
    padding: var(--content-pad);
    background: linear-gradient(var(--edge-end), var(--edge-highlight));
    border-radius: 0px 0px var(--rounding) 0px;
}

.footer-text {
    color: var(--muted-color);
}

.footer-flex-grow {
    flex-grow: 1;
}

#footer-image-container {
    width: 70px;
    height: 0px;
    margin-top: -40px;
    padding-left: var(--container-pad);
}

#footer-image {
    display: block;
    width: 120px;
    height: 120px;
    background-image: url('./img/bubbles_37.png');
    background-size: cover;
    background-position: center;
}

#page-content {
    flex-grow: 1;
    border: var(--container-border);
    padding: var(--container-pad);
    overflow-y: scroll;
    scrollbar-color: #718bfd var(--bg);
}

#page-content h1 {
    margin-top: 0px;
    font-weight: normal;
    background: var(--awesome-gradient);
    box-shadow: var(--container-shadow);
    color: white;
    text-align: center;
    text-shadow: 1px 1px 3px #000000;
    border-radius: var(--rounding) 0px var(--rounding) 0px;
}

#page-content h2 {
    text-align: center;
    font-weight: normal;
}

#page-content h2::after {
    content: "";
    height: 3px;
    display: block;
    font-weight: normal;
    background: var(--awesome-gradient);
    text-align: center;
    text-shadow: 1px 1px 3px #000000;
}

.side-by-side {
    display: flex;
    flex-direction: row;
}

.side-by-side img {
    object-fit: cover;
    width: 200px;
    height: 100%;
    margin: var(--content-pad);
}

.photograph {
    border: 10px solid white;
    box-shadow: var(--container-shadow);
    transform: rotate(-6deg);
    transition: transform 0.2s;
}

.photograph:hover {
    transform: rotate(0deg);
    transition: transform 0.2s;
}

.media-catalog {
    display: flex;
    flex-wrap: wrap;
    gap: var(--container-pad);
    margin-top: var(--content-pad);
}

.media-card {
    width: 530px;
    display: flex;
    padding: var(--container-pad);
    background-color: rgba(0, 0, 0, 0.06);
    border: 1px solid rgba(0, 0, 0, 0.1);
}

.media-card img {
    height: 150px;
    padding: 1px;
    border: 1px solid rgba(0, 0, 0, 0.1);
}

.media-card-content {
    margin-left: 10px;
}

.media-card-title {
    font-size: 24px;
    margin-bottom: 5px;
}

.media-card-quote {
    border-left: 3px solid rgb(172, 172, 172);
    padding-left: 10px;
    color: #444;
}

@media (max-width: 480px) and (pointer: coarse) {
 html {
    background-size: auto calc(100% + 30px);
 }  
 #content-container {
    height: auto;
 }
}